/honeybadger-monitoring | Type: Application | PCID required: Yes
Tools
honeybadger_monitoring_create_alarm
Create an alarm Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
alarm | object | Yes | — | Alarm object |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
},
"alarm": {
"type": "object",
"description": "Alarm object",
"properties": {
"name": {
"type": "string",
"description": "Alarm name"
},
"query": {
"type": "string",
"description": "BadgerQL query for the alarm"
},
"evaluation_period": {
"type": "string",
"description": "Evaluation period e.g. '5m', '1h'"
},
"trigger_config": {
"type": "object",
"description": "Trigger configuration e.g. {\"type\": \"alert_result_count\", \"config\": {\"operator\": \"gt\", \"value\": 10}}"
},
"lookback_lag": {
"type": "string",
"description": "Lookback lag e.g. '1m'"
},
"description": {
"type": "string",
"description": "Alarm description"
},
"stream_ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "Array of stream IDs to associate with the alarm"
}
},
"required": [
"name",
"query",
"evaluation_period",
"trigger_config",
"lookback_lag"
]
}
},
"required": [
"PCID",
"project_id",
"alarm"
]
}
honeybadger_monitoring_create_check_in
Create a check-in Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
check_in | object | Yes | — | Check-in object |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
},
"check_in": {
"type": "object",
"description": "Check-in object",
"properties": {
"name": {
"type": "string",
"description": "Check-in name"
},
"slug": {
"type": "string",
"description": "URL-friendly slug for the check-in"
},
"schedule_type": {
"type": "string",
"description": "Schedule type",
"enum": [
"simple",
"cron"
]
},
"report_period": {
"type": "string",
"description": "Report period for simple schedules"
},
"grace_period": {
"type": "string",
"description": "Grace period before alerting"
},
"cron_schedule": {
"type": "string",
"description": "Cron expression (required if schedule_type is cron)"
},
"cron_timezone": {
"type": "string",
"description": "Timezone for cron schedule"
}
},
"required": [
"name",
"schedule_type"
]
}
},
"required": [
"PCID",
"project_id",
"check_in"
]
}
honeybadger_monitoring_create_dashboard
Create a dashboard Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
dashboard | object | Yes | — | Dashboard object |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
},
"dashboard": {
"type": "object",
"description": "Dashboard object",
"properties": {
"title": {
"type": "string",
"description": "Dashboard title (max 255 characters)"
},
"widgets": {
"type": "array",
"items": {
"type": "object"
},
"description": "Array of widget objects (can be empty)"
},
"default_ts": {
"type": "string",
"description": "Default time range for the dashboard"
}
},
"required": [
"title",
"widgets"
]
}
},
"required": [
"PCID",
"project_id",
"dashboard"
]
}
honeybadger_monitoring_create_site
Create an uptime site Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
site | object | Yes | — | Site object |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
},
"site": {
"type": "object",
"description": "Site object",
"properties": {
"name": {
"type": "string",
"description": "Site name"
},
"url": {
"type": "string",
"description": "URL to monitor"
},
"frequency": {
"type": "integer",
"description": "Check frequency in minutes",
"enum": [
1,
5,
15
]
},
"match_type": {
"type": "string",
"description": "How to match the response",
"enum": [
"success",
"exact",
"include",
"exclude"
]
},
"match": {
"type": "string",
"description": "Match string for the response body"
},
"request_method": {
"type": "string",
"description": "HTTP request method",
"enum": [
"GET",
"POST",
"PUT",
"PATCH",
"DELETE"
]
},
"request_body": {
"type": "string",
"description": "HTTP request body"
},
"locations": {
"type": "array",
"items": {
"type": "string",
"enum": [
"Virginia",
"Oregon",
"Frankfurt",
"Singapore",
"London"
]
},
"description": "Array of monitoring locations"
},
"validate_ssl": {
"type": "boolean",
"description": "Whether to validate SSL certificates"
},
"timeout": {
"type": "integer",
"description": "Request timeout in seconds (30-120)"
},
"active": {
"type": "boolean",
"description": "Whether the site check is active"
}
},
"required": [
"name",
"url"
]
}
},
"required": [
"PCID",
"project_id",
"site"
]
}
honeybadger_monitoring_delete_alarm
Delete an alarm Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
alarm_id | string | Yes | — | The alarm ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
},
"alarm_id": {
"type": "string",
"description": "The alarm ID"
}
},
"required": [
"PCID",
"project_id",
"alarm_id"
]
}
honeybadger_monitoring_delete_check_in
Delete a check-in Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
check_in_id | string | Yes | — | The check-in ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
},
"check_in_id": {
"type": "string",
"description": "The check-in ID"
}
},
"required": [
"PCID",
"project_id",
"check_in_id"
]
}
honeybadger_monitoring_delete_dashboard
Delete a dashboard Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
dashboard_id | string | Yes | — | The dashboard ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
},
"dashboard_id": {
"type": "string",
"description": "The dashboard ID"
}
},
"required": [
"PCID",
"project_id",
"dashboard_id"
]
}
honeybadger_monitoring_delete_site
Delete an uptime site Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
site_id | string | Yes | — | The site ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
},
"site_id": {
"type": "string",
"description": "The site ID"
}
},
"required": [
"PCID",
"project_id",
"site_id"
]
}
honeybadger_monitoring_get_alarm
Get alarm details Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
alarm_id | string | Yes | — | The alarm ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
},
"alarm_id": {
"type": "string",
"description": "The alarm ID"
}
},
"required": [
"PCID",
"project_id",
"alarm_id"
]
}
honeybadger_monitoring_get_alarm_history
Get alarm history Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
alarm_id | string | Yes | — | The alarm ID |
page | integer | No | — | Page number for pagination |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
},
"alarm_id": {
"type": "string",
"description": "The alarm ID"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
}
},
"required": [
"PCID",
"project_id",
"alarm_id"
]
}
honeybadger_monitoring_get_check_in
Get check-in details Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
check_in_id | string | Yes | — | The check-in ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
},
"check_in_id": {
"type": "string",
"description": "The check-in ID"
}
},
"required": [
"PCID",
"project_id",
"check_in_id"
]
}
honeybadger_monitoring_get_dashboard
Get dashboard details Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
dashboard_id | string | Yes | — | The dashboard ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
},
"dashboard_id": {
"type": "string",
"description": "The dashboard ID"
}
},
"required": [
"PCID",
"project_id",
"dashboard_id"
]
}
honeybadger_monitoring_get_site
Get uptime site details Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
site_id | string | Yes | — | The site ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
},
"site_id": {
"type": "string",
"description": "The site ID"
}
},
"required": [
"PCID",
"project_id",
"site_id"
]
}
honeybadger_monitoring_list_alarms
List alarms Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
}
},
"required": [
"PCID",
"project_id"
]
}
honeybadger_monitoring_list_check_ins
List check-ins Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
}
},
"required": [
"PCID",
"project_id"
]
}
honeybadger_monitoring_list_dashboards
List dashboards Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
}
},
"required": [
"PCID",
"project_id"
]
}
honeybadger_monitoring_list_site_outages
List site outages Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
site_id | string | Yes | — | The site ID |
created_after | integer | No | — | Filter outages created after this Unix timestamp |
created_before | integer | No | — | Filter outages created before this Unix timestamp |
limit | integer | No | — | Maximum number of results to return |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
},
"site_id": {
"type": "string",
"description": "The site ID"
},
"created_after": {
"type": "integer",
"description": "Filter outages created after this Unix timestamp"
},
"created_before": {
"type": "integer",
"description": "Filter outages created before this Unix timestamp"
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return"
}
},
"required": [
"PCID",
"project_id",
"site_id"
]
}
honeybadger_monitoring_list_sites
List uptime sites Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
}
},
"required": [
"PCID",
"project_id"
]
}
honeybadger_monitoring_list_uptime_checks
List uptime checks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
site_id | string | Yes | — | The site ID |
created_after | integer | No | — | Filter checks created after this Unix timestamp |
created_before | integer | No | — | Filter checks created before this Unix timestamp |
limit | integer | No | — | Maximum number of results to return |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
},
"site_id": {
"type": "string",
"description": "The site ID"
},
"created_after": {
"type": "integer",
"description": "Filter checks created after this Unix timestamp"
},
"created_before": {
"type": "integer",
"description": "Filter checks created before this Unix timestamp"
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return"
}
},
"required": [
"PCID",
"project_id",
"site_id"
]
}
honeybadger_monitoring_query_insights
Execute BadgerQL query Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
query | string | Yes | — | BadgerQL query string |
timezone | string | No | — | IANA timezone e.g. America/New_York |
ts | string | No | — | Time range - shortcuts like ‘today’, ‘week’, ISO 8601 duration ‘PT3H’, datetime, or interval. Default: PT3H |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
},
"query": {
"type": "string",
"description": "BadgerQL query string"
},
"timezone": {
"type": "string",
"description": "IANA timezone e.g. America/New_York"
},
"ts": {
"type": "string",
"description": "Time range - shortcuts like 'today', 'week', ISO 8601 duration 'PT3H', datetime, or interval. Default: PT3H"
}
},
"required": [
"PCID",
"project_id",
"query"
]
}
honeybadger_monitoring_update_alarm
Update an alarm Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
alarm_id | string | Yes | — | The alarm ID |
alarm | object | No | — | Alarm object |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
},
"alarm_id": {
"type": "string",
"description": "The alarm ID"
},
"alarm": {
"type": "object",
"description": "Alarm object",
"properties": {
"name": {
"type": "string",
"description": "Alarm name"
},
"query": {
"type": "string",
"description": "BadgerQL query for the alarm"
},
"evaluation_period": {
"type": "string",
"description": "Evaluation period e.g. '5m', '1h'"
},
"trigger_config": {
"type": "object",
"description": "Trigger configuration e.g. {\"type\": \"alert_result_count\", \"config\": {\"operator\": \"gt\", \"value\": 10}}"
},
"lookback_lag": {
"type": "string",
"description": "Lookback lag e.g. '1m'"
},
"description": {
"type": "string",
"description": "Alarm description"
},
"stream_ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "Array of stream IDs to associate with the alarm"
}
}
}
},
"required": [
"PCID",
"project_id",
"alarm_id"
]
}
honeybadger_monitoring_update_check_in
Update a check-in Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
check_in_id | string | Yes | — | The check-in ID |
check_in | object | No | — | Check-in object |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
},
"check_in_id": {
"type": "string",
"description": "The check-in ID"
},
"check_in": {
"type": "object",
"description": "Check-in object",
"properties": {
"name": {
"type": "string",
"description": "Check-in name"
},
"slug": {
"type": "string",
"description": "URL-friendly slug for the check-in"
},
"schedule_type": {
"type": "string",
"description": "Schedule type",
"enum": [
"simple",
"cron"
]
},
"report_period": {
"type": "string",
"description": "Report period for simple schedules"
},
"grace_period": {
"type": "string",
"description": "Grace period before alerting"
},
"cron_schedule": {
"type": "string",
"description": "Cron expression (required if schedule_type is cron)"
},
"cron_timezone": {
"type": "string",
"description": "Timezone for cron schedule"
}
}
}
},
"required": [
"PCID",
"project_id",
"check_in_id"
]
}
honeybadger_monitoring_update_dashboard
Update a dashboard Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
dashboard_id | string | Yes | — | The dashboard ID |
dashboard | object | No | — | Dashboard object |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
},
"dashboard_id": {
"type": "string",
"description": "The dashboard ID"
},
"dashboard": {
"type": "object",
"description": "Dashboard object",
"properties": {
"title": {
"type": "string",
"description": "Dashboard title (max 255 characters)"
},
"widgets": {
"type": "array",
"items": {
"type": "object"
},
"description": "Array of widget objects"
},
"default_ts": {
"type": "string",
"description": "Default time range for the dashboard"
}
}
}
},
"required": [
"PCID",
"project_id",
"dashboard_id"
]
}
honeybadger_monitoring_update_site
Update an uptime site Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | The project ID |
site_id | string | Yes | — | The site ID |
site | object | No | — | Site object |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "The project ID"
},
"site_id": {
"type": "string",
"description": "The site ID"
},
"site": {
"type": "object",
"description": "Site object",
"properties": {
"name": {
"type": "string",
"description": "Site name"
},
"url": {
"type": "string",
"description": "URL to monitor"
},
"frequency": {
"type": "integer",
"description": "Check frequency in minutes",
"enum": [
1,
5,
15
]
},
"match_type": {
"type": "string",
"description": "How to match the response",
"enum": [
"success",
"exact",
"include",
"exclude"
]
},
"match": {
"type": "string",
"description": "Match string for the response body"
},
"request_method": {
"type": "string",
"description": "HTTP request method",
"enum": [
"GET",
"POST",
"PUT",
"PATCH",
"DELETE"
]
},
"request_body": {
"type": "string",
"description": "HTTP request body"
},
"locations": {
"type": "array",
"items": {
"type": "string",
"enum": [
"Virginia",
"Oregon",
"Frankfurt",
"Singapore",
"London"
]
},
"description": "Array of monitoring locations"
},
"validate_ssl": {
"type": "boolean",
"description": "Whether to validate SSL certificates"
},
"timeout": {
"type": "integer",
"description": "Request timeout in seconds (30-120)"
},
"active": {
"type": "boolean",
"description": "Whether the site check is active"
}
}
}
},
"required": [
"PCID",
"project_id",
"site_id"
]
}

